# Uses of Class
org.codehaus.janino.Java.CatchParameter

Packages that use Java.CatchParameter
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.CatchParameter in org.codehaus.janino

Fields in org.codehaus.janino declared as Java.CatchParameter
Modifier and Type
Field
Description
`final Java.CatchParameter`
Java.CatchClause.`catchParameter`
Container for the types and the name of the caught exception.
Methods in org.codehaus.janino that return Java.CatchParameter
Modifier and Type
Method
Description
`Java.CatchParameter`
Parser.`parseCatchParameter()`
CatchFormalParameter := { VariableModifier } CatchType VariableDeclaratorId CatchType := UnannClassType { '|' ClassType } VariableModifier := Annotation | 'final' VariableDeclaratorId := Identifier [ Dims ] Dims := { Annotation } '[' ']' { { Annotation } '[' ']' } UnannClassType := Identifier [ TypeArguments ] | UnannClassOrInterfaceType '.' { Annotation } Identifier [ TypeArguments ] UnannInterfaceType := UnannClassType UnannClassOrInterfaceType := UnannClassType | UnannInterfaceType ClassType := { Annotation } Identifier [ TypeArguments ] | ClassOrInterfaceType '.' { Annotation } Identifier [ TypeArguments ]
Methods in org.codehaus.janino with parameters of type Java.CatchParameter
Modifier and Type
Method
Description
`Java.LocalVariable`
UnitCompiler.`getLocalVariable(Java.CatchParameter parameter)`
Constructors in org.codehaus.janino with parameters of type Java.CatchParameter
Modifier
Constructor
Description
``
`CatchClause(Location location, Java.CatchParameter catchParameter, Java.BlockStatement body)`

## Uses of Java.CatchParameter in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.CatchParameter
Modifier and Type
Method
Description
`Java.CatchParameter`
DeepCopier.`copyCatchParameter(Java.CatchParameter subject)`
Methods in org.codehaus.janino.util with parameters of type Java.CatchParameter
Modifier and Type
Method
Description
`Java.CatchParameter`
DeepCopier.`copyCatchParameter(Java.CatchParameter subject)`